## plasma-widget-adjustableclock 1.1

=== applet/CMakeLists.txt ===
project(adjustableclock)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

set(adjustableclock_SRCS plasma-adjustableclock.cpp)

kde4_add_ui_files(adjustableclock_SRCS appearanceConfiguration.ui advancedConfiguration.ui clipboardActions.ui)
kde4_add_plugin(plasma_applet_adjustableclock ${adjustableclock_SRCS})
target_link_libraries(plasma_applet_adjustableclock
                      plasmaclock
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      )

install(TARGETS plasma_applet_adjustableclock
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-adjustableclock.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-widget-adjustableclock 2.1

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,15 @@
    ${KDE4_INCLUDES}
    )
 
-set(adjustableclock_SRCS plasma-adjustableclock.cpp)
+set(adjustableclock_SRCS AdjustableClock.cpp)
 
-kde4_add_ui_files(adjustableclock_SRCS appearanceConfiguration.ui advancedConfiguration.ui clipboardActions.ui)
+add_subdirectory(po)
+
+kde4_add_ui_files(adjustableclock_SRCS ui/appearance.ui ui/advanced.ui ui/clipboard.ui ui/placeholders.ui)
 kde4_add_plugin(plasma_applet_adjustableclock ${adjustableclock_SRCS})
 target_link_libraries(plasma_applet_adjustableclock
                       plasmaclock
+                      ${QT_QTWEBKIT_LIBRARY}
                       ${KDE4_PLASMA_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       )

## plasma-widget-adjustableclock 2.2

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 add_subdirectory(po)
 
-kde4_add_ui_files(adjustableclock_SRCS ui/appearance.ui ui/advanced.ui ui/clipboard.ui ui/placeholders.ui)
+kde4_add_ui_files(adjustableclock_SRCS ui/appearance.ui ui/advanced.ui ui/clipboard.ui)
 kde4_add_plugin(plasma_applet_adjustableclock ${adjustableclock_SRCS})
 target_link_libraries(plasma_applet_adjustableclock
                       plasmaclock

## plasma-widget-adjustableclock 2.5.1

=== debian/changelog ===
plasma-widget-adjustableclock (2.5.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Description improvement

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 23 Aug 2010 08:54:07 -0400

plasma-widget-adjustableclock (2.5-0ubuntu1) maverick; urgency=low

  * New upstream release, solves LP: #546781
  * Bump Standards-Version to 3.9.1, no changes necessary

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 16 Aug 2010 10:26:32 -0400

plasma-widget-adjustableclock (2.2-0ubuntu6) maverick; urgency=low

  * Rebuild for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Jul 2010 11:59:20 +0100

plasma-widget-adjustableclock (2.2-0ubuntu5) maverick; urgency=low

  * Rebuild for libplasmaclock4a -> libplasmaclock4b transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 12 Jun 2010 04:57:52 +0200

plasma-widget-adjustableclock (2.2-0ubuntu4) maverick; urgency=low

  * Bump pkg-kde-tools build-depend version to 0.5.0 since we're using the
    KDE debhelper sequence
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16 or greater
  * Add build-dep on cmake since kdelibs5-dev no longer depends on it

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 24 May 2010 13:19:06 -0400

plasma-widget-adjustableclock (2.2-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:04 +0000

plasma-widget-adjustableclock (2.2-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 Nov 2009 10:02:30 -0500

plasma-widget-adjustableclock (2.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Transition from kde.mk to dh --with-kde:
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Bump Standards-Version to 3.8.3
  * Remove unnecessary build-depend on kdelibs5-dev
  * Remove now-unnecessary replaces/conflicts on plasmoid-runcommand

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 21:20:46 -0500

plasma-widget-adjustableclock (2.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #395162)
    - bump kdelibs5-dev to 4.2.95
    - bump kdebase-workspace to 4.2.95

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Jul 2009 15:23:32 +0200

plasma-widget-adjustableclock (2.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Use kde.mk from pkg-kde-tools:
    - Bump debhelper build-depend version to 7
    - Bump compat version to 7
  * Bump Standards-Version to 3.8.2
  * The binary package depends on ${misc:Depends} to make lintian happy

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 21 Jun 2009 12:37:12 -0400

plasma-widget-adjustableclock (1.4-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 23 May 2009 03:20:59 +0200

plasma-widget-adjustableclock (1.4-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #368943)
  * Bump Standards-Version to 3.8.1
  * Bump libplasma-dev and kdebase-workspace-dev to 4:4.2.2

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 29 Apr 2009 02:10:07 +0200

plasma-widget-adjustableclock (1.1-0ubuntu3) jaunty; urgency=low

  * Conflicts/replaces in debian/control: plasmoid-adjustableclock instead
    plasmoid-quickaccess (LP: #328112)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sun, 22 Feb 2009 19:22:30 +0100

plasma-widget-adjustableclock (1.1-0ubuntu2) jaunty; urgency=low

  * Rename plasmoid-* to plasma-widget-* to match upstream naming policy
    - Conflicts/replaces plasmoid-quickaccess

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Feb 2009 23:58:27 -0500

plasmoid-adjustableclock (1.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #325155)
  * Drop build-depend on quilt, we are no longer patching anything

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 04 Feb 2009 05:55:04 +0100

plasmoid-adjustableclock (1.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - Repack tar.bz2 tarball to tar.gz without change
    - Update debian/copyright
    - Drop cmake-please-find-plasma.patch and debian/patches, incorporated
      upstream

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 Jan 2009 09:33:59 -0500

plasmoid-adjustableclock (0.9-0ubuntu2) jaunty; urgency=low

  * Rebuild against new libplasma-dev and bump version required to 4.2.0
    to avoid inadvertent builds against the old version on slow archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Jan 2009 22:32:24 -0500

plasmoid-adjustableclock (0.9-0ubuntu1) jaunty; urgency=low

  [ Alessandro Ghersi ]

  * Initial release (LP: #296135)

  [ Morten Kjeldgaard ]

  * Update to version 0.9
  * Fix cmake errors using patch cmake-please-find-plasma.patch
	
 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sun, 16 Nov 2008 05:23:44 +0100

=== debian/control ===
Source: plasma-widget-adjustableclock
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdebase-workspace-dev (>= 4:4.4.85-0ubuntu2)
Standards-Version: 3.9.1
Homepage: http://www.kde-look.org/content/show.php/Adjustable+Clock?content=92825

Package: plasma-widget-adjustableclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an adjustable clock Plasma widget
 This Plasma widget shows date and time in adjustable format using
 rich text.

## plasma-widget-adjustableclock 2.6.1

=== CMakeLists.txt ===
add_subdirectory(applet)

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 add_subdirectory(po)
 
-kde4_add_ui_files(adjustableclock_SRCS ui/appearance.ui ui/advanced.ui ui/clipboard.ui)
+kde4_add_ui_files(adjustableclock_SRCS ui/appearance.ui ui/clipboard.ui)
 kde4_add_plugin(plasma_applet_adjustableclock ${adjustableclock_SRCS})
 target_link_libraries(plasma_applet_adjustableclock
                       plasmaclock

=== applet/po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

if(NOT GETTEXT_MSGFMT_EXECUTABLE)
   message(FATAL_ERROR "Please install the msgfmt binary")
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

file(GLOB _po_files *.po)

set(_gmoFiles)

foreach(_current_PO_FILE ${_po_files})
   get_filename_component(_lang ${_current_PO_FILE} NAME_WE)
   set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_adjustableclock.mo)
   list(APPEND _gmoFiles ${_gmoFile})
endforeach(_current_PO_FILE)
add_custom_target(pofiles ALL DEPENDS ${_gmoFiles})

=== debian/changelog ===
plasma-widget-adjustableclock (2.6.1-1) unstable; urgency=low

  * Merging ubuntu package version 2.6.1-0ubuntu1 (Closes: #630177)

 -- Davi Leal <davi@gnu.org>  Sun, 10 Jul 2011 17:59:00 +0000

plasma-widget-adjustableclock (2.2-2) unstable; urgency=low

  * Build-Depend on 'libqtwebkit-dev' (Closes: #618120)
  * Bump Standards-Version to 3.9.2

 -- Davi Leal <davi@gnu.org>  Sun, 05 Jun 2011 10:28:13 +0000

plasma-widget-adjustableclock (2.2-1) unstable; urgency=low

  * Packaging for Debian (Closes: #589567)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.1
  * Requiring debhelper (>= 7.3.16) and  pkg-kde-tools (>= 0.5)
    Read /usr/share/doc/pkg-kde-tools/README.Debian

 -- Davi Leal <davi@gnu.org>  Tue, 27 Jul 2010 22:30:00 +0000

=== debian/control ===
Source: plasma-widget-adjustableclock
Section: kde
Priority: optional
Maintainer: Davi Leal <davi@gnu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), kdebase-workspace-dev (>= 4:4.5), libqt4-dev (>= 4:4.6.0~rc1), cmake, libqtwebkit-dev
Standards-Version: 3.9.2
Homepage: http://www.kde-look.org/content/show.php/Adjustable+Clock?content=92825

Package: plasma-widget-adjustableclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widget clock to show date and time
 This plasma widget shows date and time in adjustable format using
 rich text.
 .
 Weekday name, week number, sunset time and lot of other info can
 be shown too.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde --parallel $@

=== debian/watch ===
version=3
http://kde-look.org/content/download.php?content=92825 \
  /CONTENT/content-files/92825-adjustableclock-([\d\.]+)\.tar\.(?:gz|bz2).*

## plasma-widget-adjustableclock 4.0

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(applet)

set(MAJOR_VERSION "4")
set(MINOR_VERSION "0")
set(PATCH_VERSION "0")

if (EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
	include(InstallRequiredSystemLibraries)

	set(CPACK_SET_DESTDIR "on")
	set(CPACK_PACKAGING_INSTALL_PREFIX "/usr")
	set(CPACK_GENERATOR "DEB")
	set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Plasmoid providing extremely customizable clock")
	set(CPACK_PACKAGE_DESCRIPTION "Plasmoid to show date and time in adjustable format using rich text.")
	set(CPACK_PACKAGE_VENDOR "Vendor")
	set(CPACK_PACKAGE_CONTACT "Michal Dutkiewicz")
	set(CPACK_PACKAGE_VERSION_MAJOR "${MAJOR_VERSION}")
	set(CPACK_PACKAGE_VERSION_MINOR "${MINOR_VERSION}")
	set(CPACK_PACKAGE_VERSION_PATCH "${PATCH_VERSION}")
	set(CPACK_PACKAGE_NAME "plasma-widget-adjustableclock")
	set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
	set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
	set(CPACK_DEBIAN_PACKAGE_DEPENDS "libplasma3 (>=4:4.8.0), plasma-desktop (>=4:4.8.0)")
	set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
	set(CPACK_DEBIAN_PACKAGE_SECTION "kde")
	set(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
	set(CPACK_COMPONENTS_ALL Libraries ApplicationData)

	include(CPack)
endif (EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

=== applet/CMakeLists.txt ===
project(adjustableclock)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(adjustableclock_SRCS Applet.cpp Clock.cpp Configuration.cpp ComponentWidget.cpp OptionWidget.cpp ThemeDelegate.cpp ExpressionDelegate.cpp ExpressionLineEdit.cpp)

add_subdirectory(locale)

file(GLOB _themes themes/*)

foreach(_current_theme ${_themes})
	add_subdirectory(${_current_theme})
endforeach(_current_theme)

qt4_add_resources(adjustableclock_RESOURCES_RCC data/resources.qrc)
kde4_add_ui_files(adjustableclock_SRCS ui/appearance.ui ui/clipboard.ui ui/component.ui)
kde4_add_plugin(plasma_applet_adjustableclock ${adjustableclock_SRCS} ${adjustableclock_RESOURCES_RCC})

target_link_libraries(plasma_applet_adjustableclock
	plasmaclock
	${QT_QTSCRIPT_LIBRARY}
	${QT_QTWEBKIT_LIBRARY}
	${KDE4_PLASMA_LIBS}
	${KDE4_KTEXTEDITOR_LIBS}
	${KDE4_KDEUI_LIBS}
	)

install(TARGETS plasma_applet_adjustableclock
	DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-adjustableclock.desktop
	DESTINATION ${SERVICES_INSTALL_DIR})

=== applet/locale/CMakeLists.txt ===
file(GLOB _mo_files *.mo)

foreach(_current_MO_FILE ${_mo_files})
   get_filename_component(_lang ${_current_MO_FILE} NAME_WE)
   install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.mo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_adjustableclock.mo)
endforeach(_current_MO_FILE)

=== applet/themes/analog/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/analog)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/analog/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/analog/contents/ui/)

=== applet/themes/beclock/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/beclock)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/beclock/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/beclock/contents/ui/)

=== applet/themes/binary/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/binary)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/binary/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/binary/contents/ui/)

=== applet/themes/calendar/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/calendar)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/calendar/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/calendar/contents/ui/)

=== applet/themes/dbclock/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/dbclock)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/dbclock/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/dbclock/contents/ui/)

=== applet/themes/digital/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/digital)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/digital/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/digital/contents/ui/)

=== applet/themes/lcd/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/lcd)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/lcd/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/lcd/contents/ui/)

=== applet/themes/progress/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/progress)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/progress/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/progress/contents/ui/)

=== applet/themes/ring/CMakeLists.txt ===
install(FILES metadata.desktop
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/ring)

install(FILES contents/config/main.xml
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/ring/contents/config/)

install(FILES contents/ui/main.html
	DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock/ring/contents/ui/)

=== debian/changelog ===
plasma-widget-adjustableclock (4.0-1build1) saucy; urgency=low

  * No change rebuld for libplasmaclock4abi3 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 27 Jun 2013 18:31:30 -0400

plasma-widget-adjustableclock (4.0-1) unstable; urgency=low

  * Upgrade to upstream 4.0 version

 -- Davi Leal <davi@gnu.org>  Sat, 04 May 2013 10:42:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Davi Leal <davi@gnu.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), kdebase-workspace-dev (>= 4:4.5), libqt4-dev (>= 4:4.6.0~rc1), cmake, libqtwebkit-dev
-Standards-Version: 3.9.2
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), kde-workspace-dev (>= 4:4.8), libqt4-dev (>= 4:4.8), cmake, libqtwebkit-dev
+Standards-Version: 3.9.4
 Homepage: http://www.kde-look.org/content/show.php/Adjustable+Clock?content=92825
 
 Package: plasma-widget-adjustableclock

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh --with kde --parallel $@

=== debian/watch ===
version=3
http://kde-look.org/content/download.php?content=92825 \
  /CONTENT/content-files/92825-adjustableclock-([\d\.]+)\.tar\.(?:gz|bz2|bz).*

## plasma-widget-adjustableclock 4.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 add_subdirectory(applet)
 
 set(MAJOR_VERSION "4")
-set(MINOR_VERSION "0")
-set(PATCH_VERSION "0")
+set(MINOR_VERSION "1")
+set(PATCH_VERSION "4")
 
 if (EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
 	include(InstallRequiredSystemLibraries)

=== applet/CMakeLists.txt ===
project(adjustableclock)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_subdirectory(locale)

set(adjustableclock_SRCS Applet.cpp DataSource.cpp Clock.cpp Configuration.cpp ThemeWidget.cpp EditorWidget.cpp ComponentWidget.cpp OptionWidget.cpp ThemeDelegate.cpp ExpressionDelegate.cpp ExpressionLineEdit.cpp)

file(GLOB _themes themes/*)

foreach(_current_theme ${_themes})
	get_filename_component(_theme_name ${_current_theme} NAME)

	install(DIRECTORY ${_current_theme} DESTINATION ${DATA_INSTALL_DIR}/plasma/adjustableclock)
endforeach(_current_theme)

qt4_add_resources(adjustableclock_RESOURCES_RCC data/resources.qrc)
kde4_add_ui_files(adjustableclock_SRCS ui/appearance.ui ui/clipboard.ui ui/weather.ui ui/editor.ui ui/component.ui)
kde4_add_plugin(plasma_applet_adjustableclock ${adjustableclock_SRCS} ${adjustableclock_RESOURCES_RCC})

target_link_libraries(plasma_applet_adjustableclock
	plasmaclock
	${QT_QTDECLARATIVE_LIBRARY}
	${QT_QTSCRIPT_LIBRARY}
	${QT_QTWEBKIT_LIBRARY}
	${KDE4_PLASMA_LIBS}
	${KDE4_KTEXTEDITOR_LIBS}
	${KDE4_KDEUI_LIBS}
	)

install(TARGETS plasma_applet_adjustableclock DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-adjustableclock.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-adjustableclock (4.1.4-1) unstable; urgency=low

  * Upgrade to upstream 4.1.4 version (Closes: #754695)
  * Fix package descriptions (Closes: 666954)

 -- Davi Leal <davi@gnu.org>  Sat, 31 May 2014 17:57:00 +0000

=== debian/control ===
Source: plasma-widget-adjustableclock
Section: kde
Priority: optional
Maintainer: Davi Leal <davi@gnu.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), kde-workspace-dev (>= 4:4.8), libqt4-dev (>= 4:4.8), cmake, libqtwebkit-dev
Standards-Version: 3.9.5
Homepage: http://www.kde-look.org/content/show.php/Adjustable+Clock?content=92825

Package: plasma-widget-adjustableclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plasma widget clock to show date and time
 This Plasma widget shows date and time in adjustable format using
 rich text.
 .
 Weekday name, week number, sunset time and lot of other information
 can be shown too.
